# NetworkCompanyPasswordWindow Struct Reference

Inheritance diagram for NetworkCompanyPasswordWindow:

## Public Member Functions
| NetworkCompanyPasswordWindow (const WindowDesc *desc, Window *parent)
void | OnOk ()
virtual void | OnPaint ()
| The window must be repainted.
virtual void | OnClick (Point pt, int widget, int click_count)
| A click with the left mouse button has been made on the window.
virtual void | OnMouseLoop ()
| Called for every mouse loop run, which is at least once per (game) tick.
virtual EventState | OnKeyPress (uint16 key, uint16 keycode)
| A key has been pressed.
virtual void | OnOpenOSKWindow (int wid)

## Detailed Description

Definition at line 2276 of file network_gui.cpp.

## Member Function Documentation

virtual void NetworkCompanyPasswordWindow::OnClick | ( | Point | pt,
|  | int | widget,
|  | int | click_count |
| ) |  |  | `[inline, virtual]`

A click with the left mouse button has been made on the window.

Parameters:

  | pt | the point inside the window that has been clicked.
  | widget | the clicked widget.
  | click_count | Number of fast consecutive clicks at same position

Reimplemented from Window.

Definition at line 2302 of file network_gui.cpp.

References NCPWW_CANCEL, NCPWW_OK, NCPWW_SAVE_AS_DEFAULT_PASSWORD, Window::SetDirty(), and Window::ToggleWidgetLoweredState().

virtual EventState NetworkCompanyPasswordWindow::OnKeyPress | ( | uint16 | key,
|  | uint16 | keycode |
| ) |  |  | `[inline, virtual]`

A key has been pressed.

Parameters:

  | key | the Unicode value of the key.
  | keycode | the untranslated key code including shift state.

Returns:
  ES_HANDLED if the key press has been handled and no other window should receive the event.

Reimplemented from Window.

Definition at line 2325 of file network_gui.cpp.

References Window::ES_NOT_HANDLED, and NCPWW_PASSWORD.

virtual void NetworkCompanyPasswordWindow::OnPaint | ( |  | ) | `[inline, virtual]`

The window must be repainted.

Note:
  This method should not change any state, it should only use drawing functions.

Reimplemented from Window.

Definition at line 2296 of file network_gui.cpp.

References Window::DrawWidgets(), and NCPWW_PASSWORD.

The documentation for this struct was generated from the following file:

- src/network/network_gui.cpp